require "rampart/response"

module Rampart
  class RedirectEvent
    def initialize(url, status=302)
      @url = url
      @status = status
    end

    def halt?
      true
    end

    def success?
      false
    end

    def to_truple
      response = Response.new
      response.write("Redirecting to: #{@url}")
      response.redirect(@url, @status)
      response.finish
    end
  end
end