require "rampart/response"

module Rampart
  class FailEvent   
    def initialize(message="Not Authorized")
      @message = message
    end

    def halt?
      true
    end

    def success?
      false
    end

    def to_truple
      response = Response.new
      response.write(@message)
      response.status = 401
      response.finish
    end
  end
end