module Rampart
  class Session
    def initialize(env)
      @env = env
    end

    def store(user_id)
      session[session_key] = user_id
    end

    def fetch
      session[session_key]
    end

    def delete
      session[session_key] = nil
    end

    private

    def session
      @env["rack.session"]
    end

    def session_key
      @env["rampart.session.key"]
    end
  end
end